{% extends 'base.html' %} {% block title %}Volume Converter{% endblock %} {%
block body %}
<h5>Volume Converter</h5>
<form action="" method="post" class="form">
  <div style="text-align: center">
    <label for="value_to_convert">Convert</label>
  </div>

  <div style="padding: 5px">
    <input
      type="text"
      id="value_to_convert"
      name="value_to_convert"
      placeholder="Enter the value to convert"
      class="form-control"
    />
  </div>
  <div style="padding: 5px">
    <select id="unit_to_convert" name="unit_to_convert" class="form-select">
      <option value="" selected disabled hidden>
        Choose the unit to convert
      </option>
      <option value="" disabled>— Metric —</option>
      <option value="yottaliter">Yottaliter</option>
      <option value="zettaliter">Zettaliter</option>
      <option value="exaliter">Exaliter</option>
      <option value="pecaliter">Pecaliter</option>
      <option value="teraliter">Teraliter</option>
      <option value="gigaliter">Gigaliter</option>
      <option value="megaliter">Megaliter</option>
      <option value="kiloliter">Kiloliter</option>
      <option value="hectoliter">Hectoliter</option>
      <option value="decaliter">Decaliter</option>
      <option value="liter">Liter</option>
      <option value="deciliter">Deciliter</option>
      <option value="centiliter">Centiliter</option>
      <option value="milliliter">Milliliter</option>
      <option value="microliter">Microliter</option>
      <option value="nanoliter">Nanoliter</option>
      <option value="picoliter">Picoliter</option>
      <option value="femtoliter">Femtoliter</option>
      <option value="attoliter">Attoliter</option>
      <option value="zeptoliter">Zeptoliter</option>
      <option value="yactoliter">Yactoliter</option>
      <option value="rontoliter">Rontoliter</option>
      <option value="quectoliter">Quectoliter</option>

      <option value="" disabled>— Cubic Metric Lengths —</option>

      <option value="cubic yottameter">Cubic Yottameter</option>
      <option value="cubic zettameter">Cubic Zettameter</option>
      <option value="cubic exameter">Cubic Exameter</option>
      <option value="cubic pecameter">Cubic Pecameter</option>
      <option value="cubic terameter">Cubic Terameter</option>
      <option value="cubic gigameter">Cubic Gigameter</option>
      <option value="cubic megameter">Cubic Megameter</option>
      <option value="cubic kilometer">Cubic Kilometer</option>
      <option value="cubic hectometer">Cubic Hectometer</option>
      <option value="cubic decameter">Cubic Decameter</option>
      <option value="cubic meter">Cubic Meter</option>
      <option value="cubic decimeter">Cubic decimeter</option>
      <option value="cubic centimeter">Cubic Centimeter</option>
      <option value="cubic millimeter">Cubic Millimeter</option>
      <option value="cubic micrometer">Cubic Micrometer</option>
      <option value="cubic nanometer">Cubic Nanometer</option>
      <option value="cubic picometer">Cubic Picometer</option>
      <option value="cubic femtometer">Cubic Femtometer</option>
      <option value="cubic attometer">Cubic attometer</option>
      <option value="cubic zeptometer">Cubic Zeptometer</option>
      <option value="cubic yactometer">Cubic Yactometer</option>
      <option value="cubic rontometer">Cubic Rontometer</option>
      <option value="cubic quectometer">Cubic Quectometer</option>

      <option value="" disabled>— Cubic Imperial —</option>
      <option value="cubic foot">Cubic Foot</option>
      <option value="cubic inch">Cubic Inch</option>

      <option value="" disabled>— US Units —</option>
      <option value="US fluid ounce">US Fluid Ounce</option>
      <option value="US gill">US Gill</option>
      <option value="US cup">US Cup</option>
      <option value="US legal cup">US Legal Cup</option>
      <option value="US liquid pint">US Liquid Pint</option>
      <option value="US liquid quart">US Liquid Quart</option>
      <option value="US liquid gallon">US Liquid Gallon</option>
      <option value="US tablespoon">US Tablespoon</option>
      <option value="US teaspoon">US Teaspoon</option>

      <option value="" disabled>— Imperial (NOT US) Units —</option>
      <option value="fluid ounce">Fluid Ounce</option>
      <option value="gill">Gill</option>
      <option value="cup">Cup</option>
      <option value="pint">Pint</option>
      <option value="quart">Quart</option>
      <option value="gallon">Gallon</option>
      <option value="tablespoon">Tablespoon</option>
      <option value="teaspoon">Teaspoon</option>
    </select>
  </div>

  <div style="text-align: center">
    <label for="value_to_convert">to</label>
  </div>

  <div style="padding: 5px">
    <select
      id="unit_to_convert_to"
      name="unit_to_convert_to"
      class="form-select"
    >
      <option value="" selected disabled hidden>
        Choose the unit to convert the value to
      </option>
      <option value="" disabled>— Metric —</option>
      <option value="yottaliter">Yottaliter</option>
      <option value="zettaliter">Zettaliter</option>
      <option value="exaliter">Exaliter</option>
      <option value="pecaliter">Pecaliter</option>
      <option value="teraliter">Teraliter</option>
      <option value="gigaliter">Gigaliter</option>
      <option value="megaliter">Megaliter</option>
      <option value="kiloliter">Kiloliter</option>
      <option value="hectoliter">Hectoliter</option>
      <option value="decaliter">Decaliter</option>
      <option value="liter">Liter</option>
      <option value="deciliter">Deciliter</option>
      <option value="centiliter">Centiliter</option>
      <option value="milliliter">Milliliter</option>
      <option value="microliter">Microliter</option>
      <option value="nanoliter">Nanoliter</option>
      <option value="picoliter">Picoliter</option>
      <option value="femtoliter">Femtoliter</option>
      <option value="attoliter">Attoliter</option>
      <option value="zeptoliter">Zeptoliter</option>
      <option value="yactoliter">Yactoliter</option>
      <option value="rontoliter">Rontoliter</option>
      <option value="quectoliter">Quectoliter</option>

      <option value="" disabled>— Cubic Metric Lengths —</option>

      <option value="cubic yottameter">Cubic Yottameter</option>
      <option value="cubic zettameter">Cubic Zettameter</option>
      <option value="cubic exameter">Cubic Exameter</option>
      <option value="cubic pecameter">Cubic Pecameter</option>
      <option value="cubic terameter">Cubic Terameter</option>
      <option value="cubic gigameter">Cubic Gigameter</option>
      <option value="cubic megameter">Cubic Megameter</option>
      <option value="cubic kilometer">Cubic Kilometer</option>
      <option value="cubic hectometer">Cubic Hectometer</option>
      <option value="cubic decameter">Cubic Decameter</option>
      <option value="cubic meter">Cubic Meter</option>
      <option value="cubic decimeter">Cubic decimeter</option>
      <option value="cubic centimeter">Cubic Centimeter</option>
      <option value="cubic millimeter">Cubic Millimeter</option>
      <option value="cubic micrometer">Cubic Micrometer</option>
      <option value="cubic nanometer">Cubic Nanometer</option>
      <option value="cubic picometer">Cubic Picometer</option>
      <option value="cubic femtometer">Cubic Femtometer</option>
      <option value="cubic attometer">Cubic attometer</option>
      <option value="cubic zeptometer">Cubic Zeptometer</option>
      <option value="cubic yactometer">Cubic Yactometer</option>
      <option value="cubic rontometer">Cubic Rontometer</option>
      <option value="cubic quectometer">Cubic Quectometer</option>

      <option value="" disabled>— Cubic Imperial —</option>
      <option value="cubic foot">Cubic Foot</option>
      <option value="cubic inch">Cubic Inch</option>

      <option value="" disabled>— US Units —</option>
      <option value="US fluid ounce">US Fluid Ounce</option>
      <option value="US gill">US Gill</option>
      <option value="US cup">US Cup</option>
      <option value="US legal cup">US Legal Cup</option>
      <option value="US liquid pint">US Liquid Pint</option>
      <option value="US liquid quart">US Liquid Quart</option>
      <option value="US liquid gallon">US Liquid Gallon</option>
      <option value="US tablespoon">US Tablespoon</option>
      <option value="US teaspoon">US Teaspoon</option>

      <option value="" disabled>— Imperial (NOT US) Units —</option>
      <option value="fluid ounce">Fluid Ounce</option>
      <option value="gill">Gill</option>
      <option value="cup">Cup</option>
      <option value="pint">Pint</option>
      <option value="quart">Quart</option>
      <option value="gallon">Gallon</option>
      <option value="tablespoon">Tablespoon</option>
      <option value="teaspoon">Teaspoon</option>
    </select>
  </div>
  <br />
  <input type="submit" class="btn btn-primary" />
</form>
<br />
{% endblock %}
